.bloco-produto {
    display: flex;
    gap: 8px;
    padding: 16px;
}

.bloco-produto:hover {
    background-color: #eee;
    border-radius: 8px;
    cursor: pointer;
}

.lista-variacoes .variacao.indisponivel::after {
  content: "";
  position: absolute;
  top: 50%;
  left: -5%;
  width: 110%;
  height: 2px;
  background: #d00;
  transform: rotate(-25deg);
}

.lista-variacoes .variacao.indisponivel {
  opacity: 0.6;
  pointer-events: none;
}

.lista-variacoes .variacao {
  border: 1px solid #aaa;
  padding: 2px 8px;
  border-radius: 4px;
  display: inline-flex;
  margin-right: 8px;
  justify-content: center;
  align-content: center;
  position: relative;
} 

.indisponivel {
  background-color: #ddd;
  color: #666;
  cursor: allowed;
}

.produto-esgotado-texto {
  background-color: #ac1830;
  width: max-content;
  padding: 4px 8px;
  border-radius: 0.5rem;
  color: white;
  font-size: 0.75rem;
} 

.bloco-imagem-miniatura {
width: 80px;
height: 100px;
background-size: cover;
border-radius: 6px;
background-position: center;
display: inline-block;
}

.titulo-produto {
    font-size: clamp(12pt, 2vw, 12pt);
    margin: 4px 0px;
    font-weight: 600;
}
	
.preco-cartao, .preco-pix {
    display: flex;
    gap: 8px;
    align-items: center;
}

.preco-cartao {
    color: #555;
}


a.mostrar-categoria {
    all: unset;
    color: #ac1830;
    font-weight: bolder;
}

a.mostrar-categoria:hover {
    cursor: pointer;
    text-decoration: underline;
}

.bloco-info-produto i {
    color: #ac1830;
}

.bloco-categoria {
    display: flex;
    justify-content: space-between;
}

h2.titulo-categoria {
    font-size: clamp(12pt, 2vw, 14pt);
    font-weight: normal;
}
